/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 *//*


package com.abssqr.plat.biz.shared.scheduler.job.keeper.node;

import com.abssqr.plat.biz.shared.scheduler.job.plan.PlanDailyJob;
import com.abssqr.plat.common.facade.enums.AbssqrNoticeTypeEnum;
import com.abssqr.plat.common.model.repo.plan.PlanRepo;
import com.general.system.common.model.IEnum;
import com.general.system.common.util.LogUtil;
import com.general.system.common.util.MessageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Set;

*/
/**
 * 每日计划任务监控
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.biz.shared.scheduler.job.keeper.node: PlanDailyKeeper.java, v 0.1 2019-09-27 2:04 PM xiachenxiang Exp $
 *//*

//@Component
public class PlanDailyKeeper extends AbstractKeeperNode {
    @Autowired
    private PlanRepo planRepo;
    @Value("${wkabs.planDaily.zhaolian.deadline:8 0 0}")
    private String deadline;
    @Value("${wkabs.org.zhaolian:1009}")
    private String zhaolianOrgCode;

    @Override
    protected IEnum getBizType() {

        return AbssqrNoticeTypeEnum.PlanDailyKeeper;
    }

    @Override
    protected String getWatchJob() {
        return PlanDailyJob.class.getName();
    }

    @Override
    protected Void doHandle(Date date) {
        LogUtil.info(LOGGER, "每日计划任务监控-start");
        // 判断是否大于指定时间
        Date currentTime = date;
        Date deadlineTime = super.getDeadLineTime(currentTime, deadline);
        if (currentTime.compareTo(deadlineTime) > 0) {
            Date curDate = SystemDayUtil.getDay().getStandardDate();
            Long count = planRepo.getFailDailyCount(curDate);
            if (count != null && count > 0) {

                String msg = MessageUtil.formatMsg("每日计划任务监控到有[{0}]条失败任务，请排查具体原因!", count);
                LogUtil.info(LOGGER, msg);
                // 获取用户
                Set<String> receivers = super.getAdminReceivers();
                super.sendSystemNotice("每日计划任务告警", zhaolianOrgCode, msg, receivers);
            }
        }

        LogUtil.info(LOGGER, "每日计划任务监控-end");
        return null;
    }
}
*/
