<@pp.dropOutputFile />
<#assign tmpTables = dalgen.tmpCfTables>
<@pp.changeOutputFile name = "/main/resources/mybatis-config.xml" />
<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<#assign enumTypes = pp.newWritableSequence()>
<#assign jsonTypes = pp.newWritableSequence()>
<#assign othTypes  = pp.newWritableSequence()>
<#--<#list tmpTables as tmpTable>
    <#list tmpTable.columns as column>
        <#if column.javatype?lower_case?starts_with(dalgen.autoconfig.getCustomerProperty("enumPathBase")!null)>
            <#if !enumTypes?seq_contains(column.javatype)>
            <@pp.add seq=enumTypes value="${column.javatype}" />
            </#if>
        <#elseif  column.javatype?lower_case?starts_with(dalgen.autoconfig.getCustomerProperty("jsonPathBase")!null)>
            <#if !jsonTypes?seq_contains(column.javatype)>
            <@pp.add seq=jsonTypes value="${column.javatype}" />
            </#if>
        <#elseif !othTypes?seq_contains(column.javatype) && !column.javatype?lower_case?starts_with("com.alibaba.hr.common.util.encrypt")>
            <@pp.add seq=othTypes value="${column.javatype}" />
        </#if>
    </#list>
</#list>-->
<configuration>
    <settings>
        <!-- 避免oracle NULL 字段异常 -->
        <setting name="jdbcTypeForNull" value="NULL" />
        <setting name="logImpl" value="SLF4J"/>
        <!-- 打印查询语句-->
        <!-- <setting name="logImpl" value="STDOUT_LOGGING" />-->
    </settings>
    <typeHandlers>
        <typeHandler handler="com.abssqr.plat.common.dal.typehandler.MoneyHandler" />
    </typeHandlers>
    <!-- 自动生成,如需修改请移步 mybatis-autoconfig.xml.ftl  -->
    <mappers>

    </mappers>
</configuration>
