/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.base;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.base: BaseParam.java, v 0.1 2019-05-27 22:09 zhenxuan.luo Exp $
 */
public abstract class BaseParam extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = 3910757595101716155L;
    
    /**
     * 操作时间
     */
    private Date transTime;
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public abstract EventCodeEnum getEventCode();
    
    public void checkParam() {
    
    }
}