/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

/**
 * 资金资产匹配
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: CapitalAstMatchEnum.java, v 0.1 2020-02-03 1:54 PM xiachenxiang Exp $ 
 */
public enum CapitalAstMatchEnum implements IEnum {
    DEFAULT("NONE","默认值");

    CapitalAstMatchEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private String code;
    private String desc;
    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
