/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanMonitor.java, v 0.1 2019-05-28 15:01 zhenxuan.luo Exp $
 */
public class PlanMonitor extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -6426843837891366440L;
    
    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * planNo 计划编号.
     */
    private String            planNo;
    /**
     * indicator 内部资产编号.监控指标
     */
    private PlanIndicatorEnum indicator;
    /**
     * name 期次号.
     */
    private String            name;
    /**
     * value 监控值
     */
    private BigDecimal        value;
    /**
     * gmtCreate 创建时间.
     */
    private Date              gmtCreate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public PlanIndicatorEnum getIndicator() {
        return indicator;
    }
    
    public void setIndicator(PlanIndicatorEnum indicator) {
        this.indicator = indicator;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public BigDecimal getValue() {
        return value;
    }
    
    public void setValue(BigDecimal value) {
        this.value = value;
    }
    
    public Date getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
}