/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report: PlanReportItem.java, v 0.1 2019-06-28 02:20 zhenxuan.luo Exp $
 */
public class PlanReportItem extends BaseEntity {
    /**
     * 报表编号
     */
    private String rptNo;
    
    private String planNo;
    
    private String rptItemCode;
    
    private String rptItemName;
    
    private Long astCnt = 0L;
    
    private BigDecimal amt = BigDecimal.ZERO;
    
    private Date accountDate;
    
    public void summary(Long astCnt, BigDecimal amt){
        this.astCnt += astCnt;
        this.amt = this.amt.add(amt);
    }
    
    public String getRptNo() {
        return rptNo;
    }
    
    public void setRptNo(String rptNo) {
        this.rptNo = rptNo;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getRptItemCode() {
        return rptItemCode;
    }
    
    public void setRptItemCode(String rptItemCode) {
        this.rptItemCode = rptItemCode;
    }
    
    public String getRptItemName() {
        return rptItemName;
    }
    
    public void setRptItemName(String rptItemName) {
        this.rptItemName = rptItemName;
    }
    
    public Long getAstCnt() {
        return astCnt;
    }
    
    public void setAstCnt(Long astCnt) {
        this.astCnt = astCnt;
    }
    
    public BigDecimal getAmt() {
        return amt;
    }
    
    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
}