/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.param.loan.LoanPageQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.LoanDelVO;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;

/**
 * 贷款资产服务
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.service.ast: LoanService.java, v 0.1 2019-05-30 19:43 zhenxuan.luo Exp $
 */
public interface LoanService {
    
    /**
     * 分页查询机构下的资产列表
     * @param param
     * @return
     */
    BasePage<LoanListVO> getOrgLoanList(LoanPageQryParam param);
    
    /**
     * 获取产品详情
     * @param param
     * @return
     */
    LoanDelVO getPlanAstDetail(LoanQryParam param);
}