/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.loanTrans;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.general.system.common.model.BaseEntity;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.loanTrans: TransInfoTemplate.java, v 0.1 2019-06-10 16:15 zhenxuan.luo Exp $
 */
public class TransInfoTemplate extends BaseEntity {
    
    /**
     * 交易时间
     */
    private Date          transTime;
    /**
     * 会计日期
     */
    private Date          accountDate;
    /**
     * 事件码
     */
    private EventCodeEnum eventCode;
    /**
     * 外部业务编号
     */
    private String        outBizNo;
    /**
     * 业务编号
     */
    private String        bizNo;
    /**
     * 时间戳
     */
    private String        timestamp;
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public String getOutBizNo() {
        return outBizNo;
    }
    
    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getTimestamp() {
        return timestamp;
    }
    
    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }
}