/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.task.ctr.ext;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import com.google.common.collect.Lists;
import com.google.common.collect.Sets;
import org.assertj.core.util.Maps;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.task.ctr.ext: AstSyncTaskContext.java, v 0.1 2019-06-14 11:09 bangis
 * .wangdf Exp $
 */
public class AstSyncTaskContext {
    /**
     * 外部任务系统数据准备完成控制标记
     */
    private String ctrFlg;

    private String batchNo;

    private Boolean syncAll = false;

    private Set<String>                      spvPlanNos            = Sets.newHashSet();
    /**
     * key: 放款计划
     * val: key 支付码 ：val 备注
     */
    private Map<String, Map<String, String>> capitalOrderRemarkMap = new HashMap<>();

    public String getCtrFlg() {
        return ctrFlg;
    }

    public void setCtrFlg(String ctrFlg) {
        this.ctrFlg = ctrFlg;
    }

    public Boolean getSyncAll() {
        return syncAll;
    }

    public void setSyncAll(Boolean syncAll) {
        this.syncAll = syncAll;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Set<String> getSpvPlanNos() {
        return spvPlanNos;
    }

    public void setSpvPlanNos(Set<String> spvPlanNos) {
        this.spvPlanNos = spvPlanNos;
    }

    public Map<String, Map<String, String>> getCapitalOrderRemarkMap() {
        return capitalOrderRemarkMap;
    }

    public void setCapitalOrderRemarkMap(Map<String, Map<String, String>> capitalOrderRemarkMap) {
        this.capitalOrderRemarkMap = capitalOrderRemarkMap;
    }
}
