/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.model.repo.org;

import com.abssqr.plat.common.dal.mysql.auto.paging.OrgListPage;
import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.abssqr.plat.common.facade.param.org.OrgPageQryParam;

import java.util.Map;
import java.util.Set;

/**
 * @author yaphet
 * @version com.abssqr.plat.common.model.repo.org: OrgRepository.java, v 0.1 2018-01-21 下午3:51 yaphet Exp $
 */
public interface OrgRepository {
    /**
     * @param
     * @return
     * @description 查询机构
     */
    Organization getOrgByCode(String orgCode);
    
    /**
     * 分页查询机构列表
     * @param orgListPage
     * @return
     */
    OrgListPage getOrgList(OrgPageQryParam orgListPage);

    /**
     *
     * @param organization
     * @return
     */
    String addOrUpdate(OrgEditParam organization);

    /**
     *
     * @param orgCodes
     * @return
     */
    Map<String,String> getOrgNames(Set<String> orgCodes);
}
