/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.report.calc;

import com.abssqr.plat.common.facade.model.report.ReportItem;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.ast.LoanInstal;
import com.abssqr.plat.common.model.domain.loanTrans.LoanInstalLog;
import com.abssqr.plat.common.model.domain.loanTrans.LoanLog;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.report.calc: ReportItemCalc.java, v 0.1 2019-06-27 00:53 zhenxuan.luo Exp $ 
 */
public interface ReportItemCalc {
    
    List<ReportItem> calcByInstal(Loan loan, LoanInstal loanInstal, Date accountDate);
    
    List<ReportItem> calcByLog(LoanLog loanLog, LoanInstalLog log);
}