/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 *//*


package com.abssqr.plat.biz.shared.scheduler.job.keeper.node;

import com.abssqr.plat.common.facade.enums.AbssqrNoticeTypeEnum;
import com.abssqr.plat.common.facade.system.HostInfo;
import com.abssqr.plat.core.service.host.HostManager;
import com.general.system.common.model.IEnum;
import com.general.system.common.util.LogUtil;
import com.general.system.common.util.MessageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Set;

*/
/**
 * 心跳任务 异常监控
 * <p>
 * 心跳30分钟执行一次 超过30分钟没有心跳的默认系统挂掉了
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.biz.shared.scheduler.job.keeper.node: HostHeartKeeper.java, v 0.1 2019-09-17 1:59 PM xiachenxiang Exp $
 *//*

@Component
public class HostHeartJobKeeper extends AbstractKeeperNode {

    @Autowired
    private HostManager hostManager;

    private static final Integer OVER_TIME = 31;


    @Override
    protected Void doHandle(Date date) {
        LogUtil.info(LOGGER, "心跳任务监控-start");
        List<HostInfo> hostInfoList = hostManager.listOvertimeHost(date, OVER_TIME);
        if (hostInfoList != null && hostInfoList.size() > 0) {
            String msg = MessageUtil.formatMsg("检测到超时主机有[{0}]台,请排查具体原因!", hostInfoList.size());
            // 获取用户
            Set<String> receivers = super.getAdminReceivers();
            super.sendNotice("主机连接超时告警", AbssqrNoticeTypeEnum.HostHeart.getCode(), msg, receivers);
        }
        LogUtil.info(LOGGER, "心跳任务监控-end");
        return null;
    }

    @Override
    protected IEnum getBizType() {
        return AbssqrNoticeTypeEnum.HostHeart;
    }

    @Override
    protected String getWatchJob() {
        return null;
    }
}
*/
