/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.loan;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author hanfei
 * @version LoanAstQryParam.java, v0.12019-07-1110:20 hanfeiExp$
 */
public class LoanAstQryParam extends BaseParam {
    
    /**
     * 资产编号编号.
     */
    @VldString(message = "计划编号不能为空")
    private String  astNo;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
}
