/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.prod;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.prod: ProdPageQryParam.java, v 0.1 2019-05-28 15:45 bangis.wangdf Exp $
 */
public class ProdPageQryParam extends BasePageQryParam {
    private static final long serialVersionUID = 7112528047534076389L;
    
    private String prodName;
    /**
     *操作 枚举：类型为 edit 和 select
     */
    @VldString(message = "操作类型不能为空")
    private String handleType;

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }
    
    public String getHandleType() {
        return handleType;
    }
    
    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}
