/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result;

import com.abssqr.plat.common.facade.model.plan.PlanBase;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author hanfei
 * @version $Id: PlanConst.java, v 0.1 2019-12-14 5:00 PM hanfei Exp $ 
 */
public class PlanConst {
    
    private static Map<String, PlanBase> ALL_PLAN = new HashMap<>();
    
    public static String getPlanName(String planNo) {
        PlanBase planBase = ALL_PLAN.get(planNo);
        if (planBase == null){
            return "--";
        }else{
            return planBase.getPlanName();
        }
    }
    
    public static Map<String, PlanBase> getAllPlan() {
        return ALL_PLAN;
    }
}
