/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.plan;

import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.param.base.CommonPlanLogQryParam;
import com.abssqr.plat.common.facade.param.plan.log.PlanCapitalLogPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;

/**
 * 计划资金交易流水服务接口
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.service.plan: PlanCapitalLogService.java, v 0.1 2019-05-28 17:30 zhenxuan.luo Exp $
 */
public interface PlanCapitalLogService {
    
    /**
     * 查询计划资金交易流水列表
     *
     * @param param
     * @return
     */
    BasePage<PlanCapitalLog> queryLogList(PlanCapitalLogPageQryParam param);
    
    /**
     * 查询计划资金交易流水详情
     * @param param
     * @return
     */
    PlanCapitalLog queryLogDtl(CommonPlanLogQryParam param);
    
}