/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.astSync;

import com.general.system.common.model.BaseEntity;
import com.google.common.collect.Lists;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version BaseTsfRes.java, v 0.1 2019-06-07 04:20 zhenxuan.luo Exp $
 */
public class BaseTsfRes extends BaseEntity {
    
    private boolean isIgnore = false;
    /**
     * 资产账单
     */
    private LoanAstSyncBill loanAstSyncBill;
    /**
     * 合同
     */
    private LoanAstSyncContract loanContract;
    /**
     * 还款计划
     */
    private List<LoanAstSyncRepayPlan> repayPlans = Lists.newArrayList();
    /**
     * 同步交易流水
     */
    private List<LoanAstSyncTrans> loanAstSyncTransList = Lists.newArrayList();
    /**
     * 资产同步或者放款专用
     */
    private LoanAstSyncTrans initLoanAstSyncTrans;
    /**
     * 还款补偿
     */
    private LoanAstSyncTrans repoComponsateAstSyncTrans;
    /**
     * 结息补偿
     */
    private LoanAstSyncTrans settleCompnsateSyncTrans;
    /**
     * 减免息费
     */
    private LoanAstSyncTrans exemptCompnsateSyncTrans;
    
    public LoanAstSyncBill getLoanAstSyncBill() {
        return loanAstSyncBill;
    }
    
    public void setLoanAstSyncBill(LoanAstSyncBill loanAstSyncBill) {
        this.loanAstSyncBill = loanAstSyncBill;
    }
    
    public LoanAstSyncContract getLoanContract() {
        return loanContract;
    }
    
    public void setLoanContract(LoanAstSyncContract loanContract) {
        this.loanContract = loanContract;
    }
    
    public List<LoanAstSyncRepayPlan> getRepayPlans() {
        return repayPlans;
    }
    
    public void setRepayPlans(List<LoanAstSyncRepayPlan> repayPlans) {
        this.repayPlans = repayPlans;
    }
    
    public List<LoanAstSyncTrans> getLoanAstSyncTransList() {
        return loanAstSyncTransList;
    }
    
    public void setLoanAstSyncTransList(
            List<LoanAstSyncTrans> loanAstSyncTransList) {
        this.loanAstSyncTransList = loanAstSyncTransList;
    }
    
    public LoanAstSyncTrans getInitLoanAstSyncTrans() {
        return initLoanAstSyncTrans;
    }
    
    public void setInitLoanAstSyncTrans(LoanAstSyncTrans initLoanAstSyncTrans) {
        this.initLoanAstSyncTrans = initLoanAstSyncTrans;
    }
    
    public boolean isIgnore() {
        return isIgnore;
    }
    
    public void setIgnore(boolean ignore) {
        isIgnore = ignore;
    }
    
    public LoanAstSyncTrans getRepoComponsateAstSyncTrans() {
        return repoComponsateAstSyncTrans;
    }
    
    public void setRepoComponsateAstSyncTrans(
            LoanAstSyncTrans repoComponsateAstSyncTrans) {
        this.repoComponsateAstSyncTrans = repoComponsateAstSyncTrans;
    }
    
    public LoanAstSyncTrans getSettleCompnsateSyncTrans() {
        return settleCompnsateSyncTrans;
    }
    
    public void setSettleCompnsateSyncTrans(
            LoanAstSyncTrans settleCompnsateSyncTrans) {
        this.settleCompnsateSyncTrans = settleCompnsateSyncTrans;
    }
    
    public LoanAstSyncTrans getExemptCompnsateSyncTrans() {
        return exemptCompnsateSyncTrans;
    }
    
    public void setExemptCompnsateSyncTrans(
            LoanAstSyncTrans exemptCompnsateSyncTrans) {
        this.exemptCompnsateSyncTrans = exemptCompnsateSyncTrans;
    }
}