/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.loanTrans;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.ProfitTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.loanTrans: LoanAstProfitLog.java, v 0.1 2019-11-13 下午14:10 zhenxuan.luo Exp $ 
 */
public class LoanAstProfitLog extends BaseEntity {
    
    /**
     * id .
     */
    private Long           id;
    /**
     * astNo .
     */
    private String         astNo;
    /**
     * outAstNo
     */
    private String         outAstNo;
    /**
     * bizNo .
     */
    private String         bizNo;
    /**
     * seqNo .
     */
    private String         seqNo;
    /**
     * ownOrg .
     */
    private String         ownOrg;
    /**
     * execTms .
     */
    private String         execTms;
    /**
     * extInfo .
     */
    private String         extInfo;
    /**
     * outBizNo .
     */
    private String         outBizNo;
    /**
     * eventCode .
     */
    private EventCodeEnum  eventCode;
    /**
     * loanAstNo .
     */
    private String         loanAstNo;
    /**
     * profitType .
     */
    private ProfitTypeEnum profitType;
    /**
     * astProfitNo .
     */
    private String         astProfitNo;
    /**
     * splitOrgCode .
     */
    private String         splitOrgCode;
    /**
     * termNo .
     */
    private Integer        termNo;
    /**
     * termNo .
     */
    private Integer        bizTermNo;
    /**
     * srcTermNo .
     */
    private Integer        srcTermNo;
    /**
     * gmtCreate .
     */
    private Date           gmtCreate;
    /**
     * transTime .
     */
    private Date           transTime;
    /**
     * accountDate .
     */
    private Date           accountDate;

    private String         memo;
    /**
     *
     */
    private DebtMoney      amt              = new DebtMoney();
    /**
     *
     */
    private DebtMoney      afBal            = new DebtMoney();
    /**
     *
     */
    private DebtMoney      fundAmt          = new DebtMoney();
    /**
     *
     */
    private Money          clrgAmt          = new Money();
    
    public Money calcManagerFee() {
        return this.getAmt().getSum().subtract(this.getFundAmt().getSum());
    }
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getOwnOrg() {
        return ownOrg;
    }
    
    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public String getExecTms() {
        return execTms;
    }
    
    public void setExecTms(String execTms) {
        this.execTms = execTms;
    }
    
    public String getExtInfo() {
        return extInfo;
    }
    
    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }
    
    public String getOutBizNo() {
        return outBizNo;
    }
    
    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public String getLoanAstNo() {
        return loanAstNo;
    }
    
    public void setLoanAstNo(String loanAstNo) {
        this.loanAstNo = loanAstNo;
    }
    
    public ProfitTypeEnum getProfitType() {
        return profitType;
    }
    
    public void setProfitType(ProfitTypeEnum profitType) {
        this.profitType = profitType;
    }
    
    public String getAstProfitNo() {
        return astProfitNo;
    }
    
    public void setAstProfitNo(String astProfitNo) {
        this.astProfitNo = astProfitNo;
    }
    
    public String getSplitOrgCode() {
        return splitOrgCode;
    }
    
    public void setSplitOrgCode(String splitOrgCode) {
        this.splitOrgCode = splitOrgCode;
    }
    
    public Integer getTermNo() {
        return termNo;
    }
    
    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }
    
    public Integer getSrcTermNo() {
        return srcTermNo;
    }
    
    public void setSrcTermNo(Integer srcTermNo) {
        this.srcTermNo = srcTermNo;
    }
    
    public Date getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public DebtMoney getAmt() {
        return amt;
    }
    
    public void setAmt(DebtMoney amt) {
        this.amt = amt;
    }
    
    public DebtMoney getAfBal() {
        return afBal;
    }
    
    public void setAfBal(DebtMoney afBal) {
        this.afBal = afBal;
    }
    
    public DebtMoney getFundAmt() {
        return fundAmt;
    }
    
    public void setFundAmt(DebtMoney fundAmt) {
        this.fundAmt = fundAmt;
    }
    
    public Money getClrgAmt() {
        return clrgAmt;
    }
    
    public void setClrgAmt(Money clrgAmt) {
        this.clrgAmt = clrgAmt;
    }
    
    public Integer getBizTermNo() {
        return bizTermNo;
    }
    
    public void setBizTermNo(Integer bizTermNo) {
        this.bizTermNo = bizTermNo;
    }


    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String forLog() {
        return "LoanAstProfitLog{" +
            ", astNo='" + astNo + '\'' +
            ", outAstNo='" + outAstNo + '\'' +
            ", bizNo='" + bizNo + '\'' +
            ", seqNo='" + seqNo + '\'' +
            ", ownOrg='" + ownOrg + '\'' +
            ", outBizNo='" + outBizNo + '\'' +
            ", eventCode=" + eventCode +
            ", loanAstNo='" + loanAstNo + '\'' +
            ", profitType=" + profitType +
            ", astProfitNo='" + astProfitNo + '\'' +
            ", splitOrgCode='" + splitOrgCode + '\'' +
            ", termNo=" + termNo +
            ", bizTermNo=" + bizTermNo +
            ", srcTermNo=" + srcTermNo +
            ", gmtCreate=" + gmtCreate +
            ", transTime=" + transTime +
            ", accountDate=" + accountDate +
            ", amt=" + amt +
            ", fundAmt=" + fundAmt +
            ", clrgAmt=" + clrgAmt +
            '}';
    }
}