/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.plan;

import java.util.Date;

import com.abssqr.plat.common.facade.enums.PlanTaskTypeEnum;
import com.general.system.common.model.BaseEntity;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: PlanTaskLog.java, v 0.1 2019-09-23 11:31 bangis.wangdf Exp $
 */
public class PlanTaskLog extends BaseEntity {
    public PlanTaskLog() {
    }

    public PlanTaskLog(String planNo, PlanTaskTypeEnum taskType, Date execDate) {
        this.planNo = planNo;
        this.taskType = taskType;
        this.execDate = execDate;
    }

    /**
     * planNo PLAN_NO. 放款计划编号
     */
    private String           planNo;
    /**
     * taskType 任务类型.
     */
    private PlanTaskTypeEnum taskType;
    /**
     * execDate 执行日期.
     */
    private Date             execDate;



    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public PlanTaskTypeEnum getTaskType() {
        return taskType;
    }

    public void setTaskType(PlanTaskTypeEnum taskType) {
        this.taskType = taskType;
    }

    public Date getExecDate() {
        return execDate;
    }

    public void setExecDate(Date execDate) {
        this.execDate = execDate;
    }
}
