/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.rule;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author hanfei
 * @version $Id: LoanAstBalAndPrice.java, v 0.1 2020-02-13 10:20 AM hanfei Exp $ 
 */
public class LoanAstBalAndPrice extends BaseEntity {
    
    /**
     * 余额
     */
    private DebtMoney bal           = new DebtMoney();
    /**
     * 定价金额
     */
    private DebtMoney price           = new DebtMoney();
    
    /**
     * 合并金额
     * @param balAndPrice
     */
    public void merge(LoanAstBalAndPrice balAndPrice) {
        this.bal.addAll(balAndPrice.getBal());
        this.price.addAll(balAndPrice.getPrice());
    }
    
    public DebtMoney getBal() {
        return bal;
    }
    
    public void setBal(DebtMoney bal) {
        this.bal = bal;
    }
    
    public DebtMoney getPrice() {
        return price;
    }
    
    public void setPrice(DebtMoney price) {
        this.price = price;
    }
    
}
