/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

/**
 * 服务调用异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrSalException.java, v 0.1 2017-06-06 上午11:33 zhenxuan.luo Exp $ 
 */
public class AbssqrSalException extends AbssqrBaseException {
    
    private static final long                serialVersionUID = 8422820290810358816L;
    
    public AbssqrSalException(boolean isCanRetry, String message, Throwable e) {
        super(message, e);
        this.errCode = CommonErrorCodeEnum.SAL_ERROR;
        this.isCanRetry = isCanRetry;
    }
    
    public AbssqrSalException(boolean isCanRetry, String message) {
        this(isCanRetry, message, null);
    }
}