/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.contract;

import com.abssqr.plat.common.model.domain.contract.LoanContract;

import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.contract: LoanContractRepository.java, v 0.1 2018-01-06 上午3:04 guozhenhua Exp $
 */
public interface LoanContractRepository {
    
    /**
     * 创建合同
     *
     * @param loanContract
     */
    int create(LoanContract loanContract);
    
    
    /**
     * 根据资产编号查询合同
     * @param astNo
     * @return
     */
    LoanContract getByAstNo(String astNo);
    
    /**
     * 根据资产编号查询合同
     * @param astNos
     * @return
     */
    List<LoanContract> getByAstNos(List<String> astNos);
    
    
}
