/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.util.utils;


import com.general.system.common.model.IEnum;
import com.general.system.common.util.StringUtil;

/**
 *
 * @author zhenxuan.luo
 * @version $Id: EnumParseUtil.java, v 0.1 2017-07-02 下午14:45 zhenxuan.luo Exp $ 
 */
public class EnumParseUtil {

    public static <T extends Enum<?> & IEnum> T codeOf(Class<T> enumClz, String code) {
        T[] enumConstants = enumClz.getEnumConstants();

        for (T item : enumConstants) {
            if (StringUtil.equals(String.valueOf(item.getCode()), code)) {
                return item;
            }
        }
        return null;
    }
}