/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.report.calc.impl;

import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.abssqr.plat.core.service.report.calc.ReportItemCalc;
import com.abssqr.plat.core.service.report.calc.ReportItemCalcFactory;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.report.calc.impl: BaseReportItemCalc.java, v 0.1 2019-06-27 00:57 zhenxuan.luo Exp $ 
 */
public abstract class BaseReportItemCalc implements InitializingBean, ReportItemCalc {
    
    @Autowired
    private ReportItemCalcFactory reportItemCalcFactory;
    
    @Override
    public void afterPropertiesSet() {
        reportItemCalcFactory.register(getType(), this);
    }
    
    protected abstract ReportAstStatTypeEnum getType();
    
    
}