package com.abssqr.plat.test;
/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.ResultSetHandler;
import org.apache.commons.dbutils.handlers.MapListHandler;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.testng.annotations.Test;

import javax.sql.DataSource;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.loan.helper.test: TableTransYamlUtilTest.java, v 0.1 2018-12-13 2:08 PM guozhenhua Exp $
 */
public class TableTransYamlDataTest {
    
    static Map<String, String> tbMap = Maps.newHashMap();
    
    static {
        //        tbMap.put("WK_MFS_OPEN_REPAY", "loan_id='19042000477355050101' ");
        //        tbMap.put("WK_MFS_LN_PACT", "app_id='19042000477355050101' ");
        //        tbMap.put("WK_MFS_REPAY_INFO", "loan_id='19042000477355050101' ");
        //        tbMap.put("WK_MFS_DUE_BILL", "loan_id='19042000477355050101' ");
        //        tbMap.put("WK_ABS_MFS_BILL_CTR", "loan_id='19041001376060560001' ");
        //        tbMap.put("wk_mfs_repay_plan", "loan_id='19042000477355050101' ");
        //        tbMap.put("abs_product","prod_code = 'prod0023'");
        //        tbMap.put("abs_product_risk_cl","abssqr_prod_code= 'PROD2019061211512600000030'");
        
        /**
         * 资产
         */
                tbMap.put("ABS_LOAN", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_AST", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_AST_PROFIT", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_INSTAL", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_CONTRACT", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_BAK", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
                tbMap.put("ABS_LOAN_INSTAL_BAK", "OUT_AST_NO= 'testwkSyncDataLoanID_6002'");
        
        //        tbMap.put("abs_loan_log","OUT_AST_NO= 'testSyncDataLoanNo0007'");
        //        tbMap.put("abs_loan_instal_log", "OUT_AST_NO= 'testSyncDataLoanNo0011' and event_code = 'AST99990001' ");
        
        /**
         * 放款池计划
         */
//        tbMap.put("ABS_ACCOUNT", "ENTITY_CODE = 'lenderCode_0002'");
//        tbMap.put("ABS_PLAN", "plan_no = 'lenderCode_0002'");
//        tbMap.put("ABS_ORGANIZATION_ENTITY", "entity_code = 'lenderCode_0002'");
//        tbMap.put("ABS_PLAN_AST", "plan_no = 'lenderCode_0002'");
        
        /**
         * 承接池计划
         */
//        tbMap.put("ABS_ACCOUNT", "ENTITY_CODE = 'testTrustPlanNo_0002'");
//        tbMap.put("ABS_PLAN", "plan_no = 'testTrustPlanNo_0002'");
//        tbMap.put("ABS_PLAN_AST", "plan_no = 'testTrustPlanNo_0002'");
//        tbMap.put("ABS_PLAN_TRAN_SCREEN_REL", "plan_no = 'testTrustPlanNo_0002'");
//        tbMap.put("ABS_PLAN_TRANSFER_RULE", "plan_no = 'testTrustPlanNo_0002'");
//        tbMap.put("ABS_AST_SCREEN_RULE", "lender_org_code = 'lenderCode_0002'");
//
//        tbMap.put("ABS_PRODUCT", "abssqr_prod_code = 'prodCode_1002'");
//        tbMap.put("ABS_PRODUCT_RISK_CL", "abssqr_prod_code = 'prodCode_1002'");
//        tbMap.put("ABS_AST_PRICE_RULE", "abssqr_prod_code = 'prodCode_1002'");
        
        /**
         * 转让交易任务
         */
        //        tbMap.put("ABS_AST_PACK", "plan_no = 'trustPlanNo001'");
        //        tbMap.put("abs_tr_ctr_task","pack_code= 'astPackCode001'");
        //        tbMap.put("abs_tr_task","tfr_pack= 'astPackCode001'");
        //
        //        tbMap.put("abs_ast_pool","manager_org_code= '1010'");
        //        tbMap.put("abs_ast_sync_task_ctr_log", "org_code = '1010'");
        
        //tbMap.put("abs_plan_ast_stat_task"," plan_no = 'testPlanNo0001'");
        //        tbMap.put("abs_plan_transfer_rule"," plan_no = 'planNo001'");
        //        tbMap.put("abs_plan_alloc"," plan_no = 'planNo001'");
        //        tbMap.put("abs_plan_alloc_item"," plan_no = 'planNo001'");
        //        tbMap.put("abs_plan_acct_title"," plan_no = 'planNo001'");
        
        //        tbMap.put("abs_ast_pool","manager_org_code = '1010'");
        //                tbMap.put("ABS_PLAN_CLEARING_ORDER", "SEQ_NO = '1010'");
        //tbMap.put("ABS_PLAN_CAPITAL_ORDER", "plan_no = 'ENTITY_CODE_0002'");
        //        tbMap.put("ABS_PLAN_ALLOC", " plan_no ='testTrustPlanNo001' and alloc_no = 'ALD2019123023533400354753'");
        //        tbMap.put("ABS_PLAN_ALLOC_FROZEN", "plan_no ='testTrustPlanNo001' and alloc_no = 'ALD2019123023533400354753'");
        //        tbMap.put("ABS_PLAN_ALLOC_ITEM", "plan_no ='testTrustPlanNo001' and alloc_no = 'ALD2019123023533400354753'");
        
        //        tbMap.put("ABS_PLAN_REPORT_ITEM_DEFAULT", "PLAN_NO = 'lenderCode_0002'");
        //        tbMap.put("ABS_PLAN_ACCT_TITLE", "TITLE_NO in ('ATD2019123023533400354750', 'ATD2019123023533400354751', 'ATD2019123023533400354752')");
        //        tbMap.put("abs_loan_ast_profit", "ast_no = 'absLoanAstNo0002' and src_term_no != '2' ");
        
    }
    
    List<String> igCList = Lists.newArrayList("gmt_create", "gmt_modified");
    
    @Test
    public void tableColums() throws Exception {
        
        DataSource dataSource = new DriverManagerDataSource("jdbc:oracle:thin:@118.31.124.172:1521:orcl",
                "abssqr_dev",
                "JUEDUI2tech");
        
        StringBuilder sb = new StringBuilder();
        
        QueryRunner run = new QueryRunner(dataSource);
        ResultSetHandler h = new MapListHandler();
        tbMap.forEach((tableName, param) -> {
            try {
                xxxxx(sb, run, h, tableName, param);
            } catch (Throwable e) {
                System.out.println(e);
            } finally {
            }
        });
        
        writer(sb.toString());
        
    }
    
    private void xxxxx(StringBuilder sb, QueryRunner run, ResultSetHandler h, String tableName, String param)
            throws java.sql.SQLException {
        List<Map<String, Object>> query = (List) run.query("select * from " + tableName + " where " + param, h);
        if (CollectionUtils.isNotEmpty(query)) {
            query.forEach(data -> {
                sb.append("\n").append("- " + tableName + ":");
                data.forEach((k, v) -> {
                    if (!igCList.contains(k)) {
                        sb.append("\n    ").append(k).append(": ");
                        if (v instanceof Date) {
                            sb.append("'").append(v).append("'");
                        } else if (v != null) {
                            sb.append(v);
                        }
                    }
                });
                
            });
            
        }
    }
    
    protected void writer(String content) throws IOException {
        FileWriter writer = null;
        try {
            writer = new FileWriter("UnitTest.yaml", false);
            writer.write(content);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            writer.close();
        }
    }
    
}
