/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.workbench;

import com.abssqr.plat.common.facade.result.workbench.OrgPlanInfo;
import com.abssqr.plat.common.facade.service.workbench.WorkBenchQueryService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * 工作台controller
 *
 * @author yangcheng
 * @version com.abssqr.admin.web.controller.workbench: WorkBenchController.java, v 0.1 2018-06-19 上午10:12 guozhenhua Exp $
 */
@RestJsonController
public class WorkBenchController {
    
    @Autowired
    private WorkBenchQueryService workBenchQueryService;
    
    /**
     * 获取机构产品信息总览
     */
    @RequestMapping(path = "/mywork/getProductInfo.json", method = RequestMethod.GET)
    public List<OrgPlanInfo> getProductInfo() {
        return workBenchQueryService.getOrgProductInfo();
    }

}
